## apt-zip 0.9

=== Makefile ===
DESTDIR=
CONFDIR=	${DESTDIR}/etc/apt
SHAREDIR=	${DESTDIR}/usr/share/apt-zip
BINDIR=		${DESTDIR}/usr/sbin
MANDIR=		${DESTDIR}/usr/share/man
MAN8DIR=	${MANDIR}/man8

SCRIPTS=	apt-zip-list apt-zip-inst
SHARED=		common.sh
METHODS=	wget # lftp
CONFFILE=	apt-zip.conf
MANPAGE=	apt-zip.8
MANLINKS=	${SCRIPTS:=.8}

all: ${MANPAGE}

install:
	install -d ${BINDIR} ${CONFDIR} ${SHAREDIR} ${MAN8DIR}

	install -m755 ${SCRIPTS} ${BINDIR}
	install -m755 $(patsubst %,methods/%,${METHODS}) ${SHAREDIR}
	install -m644 ${SHARED} ${SHAREDIR}
	install -m644 ${CONFFILE} ${CONFDIR}
	install -m644 ${MANPAGE} ${MAN8DIR}
	for i in ${MANLINKS}; do \
		ln -s ${MANPAGE} ${MAN8DIR}/$$i ;\
	done

apt-zip.8: apt-zip.sgml
	nsgmls $< | sgmlspl docbook2man-spec.pl

=== debian/changelog ===
apt-zip (0.9) unstable; urgency=low

  * Made apt-zip-inst using tar unmount its removable medium after
    untarring, since it don't need it within apt-get.
  * Changed versionned dep on apt to 0.3.10 as suggested by apt team.
  * Fixed description for typos (Closes: #54525), and reformulated parts
    of it.

 -- Yann Dirson <dirson@debian.org>  Tue, 11 Jan 2000 15:44:03 +0100

apt-zip (0.8) unstable; urgency=low

  * Depends on apt (>= 0.3) because we need --print-uris (Closes: #54161).
  * Check there is no mismatch between version in source and in this file
    (0.7 told it was 0.6 :).
  * Made check for mounted media more reliable.
  * Check that there is a mountpoint for medium to be used.
  * Corrected erroneous occurences of "media" (Closes: #51006).
  * Minor manpages update.
  * Better support for running from the source tree (more robust; need not
    to cd to the source tree).
  * Added support for updating several machines at the same time using the
    same removable medium, by using machine name in filenames (I have
    slink and potato machines to upgrade).
  * Added Build-Depends.
  * Bumped Standards-Version to 3.1.1.

 -- Yann Dirson <dirson@debian.org>  Fri,  7 Jan 2000 13:14:14 +0100

apt-zip (0.7) unstable; urgency=low

  * Updated conffile to use OPTIONS, not STORAGE.

 -- Yann Dirson <dirson@debian.org>  Sun, 21 Nov 1999 23:48:12 +0100

apt-zip (0.6) unstable; urgency=low

  * Renamed library file apt-zip.sh to common.sh.
  * Added OPTIONS parameter.
  * Removed STORAGE parameter.  The old STORAGE=tar now corresponds to the
    TAR option.
  * Extended parsing of long options to accept "--name=value" in addition to
    "--name value".
  * Allow proper execution from the source tree.
  * Better error message on unknown option.
  * Savagely strip single quotes around the URI, which confused sh, but
    removing all single quotes from "apt-get --print-uris" output (maybe
    not wise).
  * wget method: 
  ** Rewritten to produce smaller and more readable scripts,
    using shell functions.
  ** Made less verbose, so that output is useful.
  ** Let wget retry 3 times.
  ** If possible, do not trust wget exit code, test ourselves the
    integrity of the .deb file (using md5sum, or gzip -t on included
    data.tar.gz).
  ** Use "set -e" instead of "sh -e" because the script may not be made
    executable.

 -- Yann Dirson <dirson@debian.org>  Sat, 30 Oct 1999 19:28:20 +0200

apt-zip (0.5) unstable; urgency=low

  * Added --fix-broken (-f) option to be passed to apt-get (Closes: #46997).
  * Added --skip-mount option to allow using a non-removable media
    (requested by Peter Vreman <pfv@cooldown.demon.nl>).
  * Some manpage updates.
  * Do not ship full docbook2x source package inside apt-zip source
    package !

 -- Yann Dirson <dirson@debian.org>  Thu, 14 Oct 1999 21:56:50 +0200

apt-zip (0.4) unstable; urgency=low

  * Moved manpage to docbook SGML, converting with docbook2man.
  * Removed install-stamp breakage from debian/rules.
  * Added --storage option; use APTZIPSTORAGE parameter to control script
    generation.
  * Method "wget" with storage "plain" now moves complete files in "disk"
    directory.
  * Added storage "tar", using APTZIPTARFILE parameter.
  * Switched to FHS - bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Wed, 22 Sep 1999 20:34:28 +0200

apt-zip (0.3) unstable; urgency=low

  * wget method: use partial/ directory as temporary download dir.
  * Fixed a bug in exit handler causing syntax errors.
  * Implemented already documented --help and --version options, whose
    absence triggered above bug.
  * Improved options handling.
  * Added in TODO file all current enhancement ideas.

 -- Yann Dirson <dirson@debian.org>  Fri,  3 Sep 1999 21:57:59 +0200

apt-zip (0.2) unstable; urgency=low

  * Fixed apt-zip-inst missing exithook().
  * Made sure in apt-zip-list exithook() is always found.
  * Made apt-zip-inst use bash, not sh.
  * Now robust with write-protected removable media.

 -- Yann Dirson <dirson@debian.org>  Fri, 27 Aug 1999 02:57:22 +0200

apt-zip (0.1) unstable; urgency=low

  * Initial Release.

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Aug 1999 01:45:12 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "dirson@debian.org"
End:

=== debian/control ===
Source: apt-zip
Section: admin
Priority: extra
Build-Depends-Indep: docbook2man
Maintainer: Yann Dirson <dirson@debian.org>
Standards-Version: 3.1.1

Package: apt-zip
Architecture: all
Depends: apt (>= 0.3.10)
Description: Update a non-networked computer using apt and removable media
 These scripts simplify the process of using dselect and apt on a
 non-networked Debian box, using removable media like ZIP floppies.
 One generates a `fetch' script (supporting backends such as wget and
 lftp, in a modular, extensible way) to be run on a host with better
 connectivity, check space constraints of your removable media, and
 then install the package on your Debian box.
 .
 Note on current version: space-checking is not done and spanning
 multiple disks is not yet supported.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_COMPAT=2

PACKAGE=apt-zip

# Test that I did not forget to update the version in the source
# When I develop, versions usually do not match, so the test can be
# bypassed using "env DEV=yes debian/rules ...".  Do not set this in the 
# environment, or the check is never done !
DVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d' ' -f2)
UVERSION=$(shell grep ^VERSION= common.sh | cut -d= -f2)

topdir=$(shell pwd)
debdir=${topdir}/debian
instdir=${debdir}/${PACKAGE}

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	test "$$DEV" = "yes" -o ${DVERSION} = ${UVERSION} || \
		{ echo "Version mismatch"; false; }

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

#	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	${MAKE} install DESTDIR=${instdir}

	dh_installdocs TODO
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms

#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## apt-zip 0.13.2

=== Makefile ===
DESTDIR=
CONFDIR=	${DESTDIR}/etc/apt
SHAREDIR=	${DESTDIR}/usr/share/apt-zip
BINDIR=		${DESTDIR}/usr/sbin
MANDIR=		${DESTDIR}/usr/share/man
MAN8DIR=	${MANDIR}/man8

METHDIR=	${SHAREDIR}/methods
SCRIPTS=	apt-zip-list apt-zip-inst
SHARED=		common.sh
METHODS=	wget # lftp
CONFFILE=	apt-zip.conf
MANPAGE=	apt-zip.8
MANLINKS=	${SCRIPTS:=.8}

all: ${MANPAGE}

install:
	install -d ${BINDIR} ${CONFDIR} ${SHAREDIR} ${METHDIR} ${MAN8DIR}

	install -m755 ${SCRIPTS} ${BINDIR}
	install -m755 $(patsubst %,methods/%,${METHODS}) ${METHDIR}
	install -m644 ${SHARED} ${SHAREDIR}
	install -m644 ${CONFFILE} ${CONFDIR}
	install -m644 ${MANPAGE} ${MAN8DIR}
	for i in ${MANLINKS}; do \
		ln -s ${MANPAGE} ${MAN8DIR}/$$i ;\
	done

clean:
	rm -f manpage.* ${MANPAGE}

apt-zip.8: apt-zip.sgml
	docbook2man apt-zip.sgml

=== debian/changelog ===
apt-zip (0.13.2) unstable; urgency=low

  * build dependence: replaced obsolete doocbook2man with the newer
  	docbook-utils, and use the docbook2man command (closes: #117078)

 -- Giacomo Catenazzi <cate@debian.org>  Fri,  2 Nov 2001 10:16:12 +0100

apt-zip (0.13.1) unstable; urgency=low

  * Removed generated man page from sources.
  * Inverted -m and -M in the command help (closes: #106042)
  * Fix typo in documentation (closes: #105692)
  
 -- Giacomo Catenazzi <cate@debian.org>  Thu, 30 Aug 2001 21:20:05 +0200

apt-zip (0.13) unstable; urgency=low

  * New maintainer: (Closes: #101092).
  
 -- Giacomo Catenazzi <cate@debian.org>  Tue, 28 Aug 2001 21:55:40 +0200

apt-zip (0.12.1) unstable; urgency=low

  * Sponsorized upload.
  * Change apt-zip.deb for apt-zip.options for clarity.
  * Fix some typos.
  * Fix the broken apt-zip-inst.

 -- Santi Bejar <tiarda@yahoo.es>  Fri,  3 Nov 2000 00:48:10 +0100

apt-zip (0.12) unstable; urgency=low

  * New not-yet-official-maintainer upload sponsorized by previous
      maintainer.
  * Added a filter to accept/reject protocols to download (Closes:
    #63150).
  * Some internal cleanups.
  * Added an option to choose the apt-get action (Closes: #65396).
  * Added an option to just install a list of packages.
  * wget: RESTART options without TAR (Closes: #56362).
  * Added a generated file to save the options used by apt-zip-inst.
  * New version (Closes: #72829)

 -- Santi Bejar <tiarda@yahoo.es>  Tue, 31 Oct 2000 01:04:03 +0100

apt-zip (0.11.1) unstable; urgency=low

  * Added GNUTAR and SOLARISTAR options.  TAR now specifies POSIX tar, and
    is automatically set if one of GNUTAR or SOLARISTAR is set.
  * Write errors to stderr.
  * Some internal cleanups.
  * wget: do not "set -e" the fetch script.
  * wget: make use of SOLARISTAR "-n" option as a speedup.  Require a
    GNUTAR for RESTART (needs "-A").
  * wget: fixed return value from check() - dollar sign was not
    backslashed.
  * wget: produce a more readable script, by not stripping leading tabs.
  * wget: do not print misleading "md5sum failed" message during a
    restarted fetch when requested deb is not present.
  * wget: print progression of "already got" packages during a restarted
    fetch.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Feb 2000 22:55:12 +0100

apt-zip (0.11) unstable; urgency=low

  * Recognize "name=value" options as known when "name" is known.
  * Fixed finding of method scripts to work when calling tools in the
    source tree, but from outside the source tree - forgotten from 0.8.
  * Changed the location of method files to /usr/share/apt-zip/methods/.
  * Added FILES section in the manpage.
  * Fixed the Makefile not to refer to ./sgmlspl.
  * wget: do not use &> kshism.
  * wget: fix tar option to really use tar - how did I miss that ?
  * debian/rules: fixed version check to be more robust.
  * Mention restart option, and argument to tar option, in default
    conffile.

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Feb 2000 01:05:41 +0100

apt-zip (0.10) unstable; urgency=low

  * Export APTZIPVERSION and OPTIONS to method scripts.
  * Ensure OPTION_<optname> vars are set either to 0 or 1 when option is
    known.
  * New known feature RESTART, causing an already existing set of .deb
    files to be used when possible, instead of re-downloading everything.
  * Fix handling of --options to concatenate them to those specified in
    conffile.
  * Added support for "no" prefix to options, to allow overriding conffile
    from command-line.
  * Added support for valued options.  As a side-effect of implementation,
    OPT=0 is equivalent to NOOPT.  Checking values are valid is left to
    the methods using them.
  * TAR option is now valued, with a default of "tar" when option is
    required without a value.  No check is done by wget method.
  * Documented the methods API in the manpage.
  * Added "make clean" to remove docbook2man auxiliary files.
  * wget: print version number in fetch scripts and options list used.
  * wget: moved .deb checking code into its own func.
  * wget: implemented RESTART option when TAR is in use (ie. RESTART is
    not supported yet without TAR).
  * wget: fixed quoting for $? which got expanded at list time instead of
    fetch time.
  * wget: go on getting files even if one fails.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Feb 2000 23:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: apt-zip
 Section: admin
 Priority: extra
-Build-Depends-Indep: docbook2man
-Maintainer: Yann Dirson <dirson@debian.org>
-Standards-Version: 3.1.1
+Build-Depends-Indep: docbook-utils, debhelper
+Maintainer: Giacomo Catenazzi <cate@debian.org>
+Standards-Version: 3.2.1
 
 Package: apt-zip
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # bypassed using "env DEV=yes debian/rules ...".  Do not set this in the 
 # environment, or the check is never done !
 DVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d' ' -f2)
-UVERSION=$(shell grep ^VERSION= common.sh | cut -d= -f2)
+UVERSION=$(shell grep ^APTZIPVERSION= common.sh | cut -d= -f2)
 
 topdir=$(shell pwd)
 debdir=${topdir}/debian
@@ -27,7 +27,7 @@
 	dh_testdir
 
 	$(MAKE)
-	test "$$DEV" = "yes" -o ${DVERSION} = ${UVERSION} || \
+	test "$$DEV" = "yes" -o "${DVERSION}" = "${UVERSION}" || \
 		{ echo "Version mismatch"; false; }
 
 	touch build-stamp
@@ -37,7 +37,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-#	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean

## apt-zip 0.13.5

=== debian/changelog ===
apt-zip (0.13.5) unstable; urgency=low

  [ Giacomo Catenazzi ]
  * Correct an other bug. And this time I tested more. (closes: #326946)
  * apt-zip-inst now find the apt-zip.options file!

  [ Eddy Petrișor ] (closes: #319887)
  * relative paths for mount points are now supported
  * fixed broken formating in generated scripts
  * the download size is exact, not aproximative
  * added aptitude-update method in the TODO list
  * added more space protections, where necessary
  * updated copyright owners list

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 21 Sep 2005 09:04:14 +0200

apt-zip (0.13.4) unstable; urgency=low

  * Really remove download test (closes: #326946)

 -- Giacomo Catenazzi <cate@debian.org>  Tue,  6 Sep 2005 22:41:15 +0200

apt-zip (0.13.3) unstable; urgency=low

  [ Giacomo Catenazzi ]
  * Bug fix: Download only once, and don't download already fetched
    packages (Closes: #216320).
  * Removed md5 check (at download). It cause a lot of problems
    (Closes: #184354).
  * Some other small corrections
  * Updated to debian policy 3.6.2
  * Updating to debhelper 4
  
  [ Eddy Petrișor ]
  * paths containing spaces are now supported
  * generator and fetch scripts are now nicely indented and more readable
  * display download size after generation and before download
  * replaced tabs with spaces in the changelog, where appropriate
  
 -- Giacomo Catenazzi <cate@debian.org>  Fri, 26 Aug 2005 08:09:14 +0200
  

=== debian/control ===
Source: apt-zip
Section: admin
Priority: extra
Build-Depends-Indep: docbook-utils, debhelper (>= 4)
Maintainer: Giacomo Catenazzi <cate@debian.org>
Standards-Version: 3.6.2.0

Package: apt-zip
Architecture: all
Depends: apt (>= 0.3.10)
Description: Update a non-networked computer using apt and removable media
 These scripts simplify the process of using dselect and apt on a
 non-networked Debian box, using removable media like ZIP floppies and
 USB keys.
 One generates a `fetch' script (supporting backends such as wget and
 lftp, in a modular, extensible way) to be run on a host with better
 connectivity, check space constraints of your removable media, and
 then install the package on your Debian box.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Test that I did not forget to update the version in the source
# When I develop, versions usually do not match, so the test can be
# bypassed using "env DEV=yes debian/rules ...".  Do not set this in the 
# environment, or the check is never done !
DVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d' ' -f2)
UVERSION=$(shell grep ^APTZIPVERSION= common.sh | cut -d= -f2)


build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	test "$$DEV" = "yes" -o "${DVERSION}" = "${UVERSION}" || \
		{ echo "Version mismatch"; false; }

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs TODO
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-zip 0.15

=== Makefile ===
DESTDIR=
CONFDIR=	${DESTDIR}/etc/apt
SHAREDIR=	${DESTDIR}/usr/share/apt-zip
BINDIR=		${DESTDIR}/usr/bin
SBINDIR=	${DESTDIR}/usr/sbin
MANDIR=		${DESTDIR}/usr/share/man
MAN8DIR=	${MANDIR}/man8

METHDIR=	${SHAREDIR}/methods
SCRIPTS=	apt-zip-list
SSCRIPTS=	apt-zip-inst
SHARED=		common.sh
METHODS=	wget # lftp
CONFFILE=	apt-zip.conf
MANPAGE=	apt-zip.8
MANLINKS=	${SCRIPTS:=.8} ${SSCRIPTS:=.8}
VERSION=$(shell dpkg-parsechangelog | grep 'Version: ' | cut -f2 -d' ')

build: common.sh ${MANPAGE}

common.sh:
	sed "s/^[[:space:]]*\(APTZIPVERSION=\).*$$/\1$(VERSION)/" <common.sh.in >common.sh

install: build
	install -d ${BINDIR} ${SBINDIR} ${CONFDIR} ${SHAREDIR} ${METHDIR} ${MAN8DIR}

	install -m755 ${SCRIPTS} ${BINDIR}
	install -m755 ${SSCRIPTS} ${SBINDIR}
	install -m755 $(patsubst %,methods/%,${METHODS}) ${METHDIR}
	install -m644 ${SHARED} ${SHAREDIR}
	install -m644 ${CONFFILE} ${CONFDIR}
	install -m644 ${MANPAGE} ${MAN8DIR}
	for i in ${MANLINKS}; do \
		ln -s ${MANPAGE} ${MAN8DIR}/$$i ;\
	done

clean:
	rm -f manpage.* ${MANPAGE}
	rm -f common.sh

apt-zip.8: apt-zip.sgml
	docbook2man apt-zip.sgml

.PHONY: clean build install

=== debian/changelog ===
apt-zip (0.15) unstable; urgency=low

  [ Eddy Petrișor ]
  * BIG, FAT warning added: /ZIP is no longer used, we use /media/zip
  * Added myself to the uploaders list
  * Standard version 3.7.2 (nothing to do)
  * move debhelper in Build-Depends because is used in clean target

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Mon,  5 Jun 2006 22:41:28 +0300

apt-zip (0.14) unstable; urgency=low 

  [ Eddy Petrișor ]
  * corrected example for GREP in apt-zip.conf (closes: #347261)
  * use a FHS compliant path for medium (closes: #344243)
  * correct inline help related to version (closes: #347260)
  * no longer FTBFS on binNMUs, thanks Daniel Schepler (closes: #359636)
    the version check is now a warning which appears when the man page seems
    to be outdated
  * corrected type of --skip-mount element in manual (closes: #358678)
  * documented in man page the newly added option: -S/--use-sleep
  * document apt-zip-list being runable by non-root
  * reinsert the md5 sums as optional (closes: #184354)
  * corrected indentation in (all?) apt-zip files
  * no longer uses "which" as is broken on some Solaris versions
    (closes: #131354)

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Sat, 11 Mar 2006 02:09:20 +0200

apt-zip (0.13.7) unstable; urgency=low

  [ Eddy Petrișor ]
  * Improved the sleep code
  * Improved handling of the PACKAGES list not to depend on GNU 
    sed (removed "\+")
  * disabled BLOCKSIZE unused code
  
  [ Giacomo Catenazzi ]
  * fix change directory in tar mode. Thanks to Yuri I. Kornilov
    (closes: #355150)

 -- Giacomo Catenazzi <cate@debian.org>  Tue,  7 Mar 2006 08:06:53 +0100

apt-zip (0.13.6) unstable; urgency=low
  
  The Eddy Petrișor <eddy.petrisor@gmail.com> release:
  
  * added hint related to --skip-mount in -m discussion (closes: #176631)
  * added alias -s for --skip-mount in man page
  * added possibility to run apt-zip-list as non-root (suggested in #101307)
  * added --use-sleep parameters to allow delayed downloads
  * show the file count along with the download size (closes: #177261)
  * add option to override the name of apt-zip.options file (closes: #180946)
  * renamed TODO to ENHANCEMENTS
  * added TODO in order to store devlopment related info in it
  * added info regarding updates via modem and apt-zip (closes: #181042)

 -- Giacomo Catenazzi <cate@debian.org>  Tue, 28 Feb 2006 22:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: apt-zip
 Section: admin
 Priority: extra
-Build-Depends-Indep: docbook-utils, debhelper (>= 4)
+Build-Depends-Indep: docbook-utils
+Build-Depends: debhelper (>= 5)
 Maintainer: Giacomo Catenazzi <cate@debian.org>
-Standards-Version: 3.6.2.0
+Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>
+Standards-Version: 3.7.2
 
 Package: apt-zip
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Test that the update was done while the man page was updated
# according to new changes in the source, too
DVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d' ' -f2)
MVERSION=$(shell grep 'up-to-date with version ' apt-zip.sgml | tr -s 'a-zA-Z-' ' ' | tr -d ' ' )


build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)
	test "$$DEV" = "yes" -o "${DVERSION}" = "${MVERSION}" || \
		echo 'WARNING: The man page seems to be outdated, but it would be good to update it; Continuing, anyway...'

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs ENHANCEMENTS
	dh_installexamples
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-zip 0.17

=== debian/changelog ===
apt-zip (0.17) unstable; urgency=low

  * Add 'wget-dos' method. Now you can use a DOS/Windows
    target machine to download packages.
    Thanks to Wolfram Sang (Closes: #224321)
  * Use CDBS
  
 -- Giacomo Catenazzi <cate@debian.org>  Fri, 12 Oct 2007 18:48:41 +0200

apt-zip (0.16) unstable; urgency=low

  [Eddy Petrișor ]
  * more indenting improvement in common.sh.in file

  [François Févotte]
  * add possibility to run update, too, thanks to François Févotte for the
    patch (Closes: #43622, #133117, #223372)

  [Giacomo Catenazzi]
  * correct docbook dependencies, update doc version

 -- Giacomo Catenazzi <cate@debian.org>  Wed, 20 Jun 2007 17:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: apt-zip
 Section: admin
 Priority: extra
-Build-Depends-Indep: docbook-utils
-Build-Depends: debhelper (>= 5)
+Build-Depends-Indep: docbook-utils, docbook
+Build-Depends: debhelper (>= 5), cdbs
 Maintainer: Giacomo Catenazzi <cate@debian.org>
-Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>
-Standards-Version: 3.7.2
+Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>, François Févotte <francois.fevotte@ensta.org>
+Standards-Version: 3.7.2.2
 
 Package: apt-zip
 Architecture: all

## apt-zip 0.18

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SCRIPTS=	apt-zip-list
 SSCRIPTS=	apt-zip-inst
 SHARED=		common.sh
-METHODS=	wget # lftp
+METHODS=	wget wget-dos # lftp
 CONFFILE=	apt-zip.conf
 MANPAGE=	apt-zip.8
 MANLINKS=	${SCRIPTS:=.8} ${SSCRIPTS:=.8}

=== debian/changelog ===
apt-zip (0.18) unstable; urgency=medium
  
  * Use sha256 instead of md5 for checksum, as in apt 0.7.7.
    Patch from Sandro Tosi (Closes: #455577), thanks!
  * correct dir in apt-zip-inst (Closes: #385087), thanks Reinhardt A.W. Maier
  * fix typo in manpage (Closes: #441207), thanks Ferdinand Rissner
  
 -- Giacomo Catenazzi <cate@debian.org>  Fri, 01 Feb 2008 08:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper (>= 5), cdbs
 Maintainer: Giacomo Catenazzi <cate@debian.org>
 Uploaders: Eddy Petrișor <eddy.petrisor@gmail.com>, François Févotte <francois.fevotte@ensta.org>
-Standards-Version: 3.7.2.2
+Standards-Version: 3.7.3
+Homepage: http://alioth.debian.org/projects/apt-zip
 
 Package: apt-zip
 Architecture: all
-Depends: apt (>= 0.3.10)
+Depends: apt (>= 0.7.7)
 Description: Update a non-networked computer using apt and removable media
  These scripts simplify the process of using dselect and apt on a
  non-networked Debian box, using removable media like ZIP floppies and

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Test that the update was done while the man page was updated
# according to new changes in the source, too
DVERSION=$(shell dpkg-parsechangelog | grep '^Version: ' | cut -d' ' -f2)
MVERSION=$(shell grep 'up-to-date with version ' apt-zip.sgml | tr -s 'a-zA-Z-' ' ' | tr -d ' ' )

DEB_MAKE_INSTALL_TARGET=install

configure/apt-zip::
	@test "$$DEV" = "yes" -o "${DVERSION}" = "${MVERSION}" || \
	  echo 'WARNING: The man page seems to be outdated, but it would be good to update it; Continuing, anyway...'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET   = clean
DEB_MAKE_BUILD_TARGET   = build
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/tmp/
